local coveredBridge = foundation.createMod();

CoveredBridgePrefix = "COVERED_BRIDGE_V3"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    coveredBridge:msgBox("coveredBridge: game version anterior to 1.6")
    return
end
coveredBridge:msgBox("coveredBridge: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        coveredBridge:msgBox("coveredBridge: Unknown mod version")
        return false
    end
    if not foundation.isModEnabled(_id) then
        coveredBridge:msgBox("coveredBridge: " .. _name .. " disabled")
        return false
    end
    if not foundation.isModLoaded(_id) then
        coveredBridge:msgBox("coveredBridge: Up the position of " .. _name .. " in the mod list of your game")
        return false
    end
    local _myVersion = foundation.getModVersion(_id)
    coveredBridge:msgBox("coveredBridge: " .. _name .. " Current version : " .. _myVersion)
    if version.cmp(_myVersion, _minimalVersion) < 0 then
        coveredBridge:msgBox("coveredBridge: Please, load at least the version " .. _minimalVersion .. " of " .. _name)
        return false
    end
    return true
end

-- Monuments
coveredBridge:dofile("scripts/monument.lua")

if (checkVersion("Market Addition V2", "c6d941ce-a02d-41c5-a57f-9a2d9d1b2a02", "2.0.0")) then
    MarketAdditionPrefix = "MARKET_ADDITION_V2"
    coveredBridge:dofile("scripts/addHatMaker.lua")
    coveredBridge:dofile("scripts/addKnifeGrinder.lua")
end
